twinkle (1:1.10.1+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- Peter Colberg <peter@colberg.org>  Thu, 17 Nov 2016 22:30:41 -0500

twinkle (1:1.10.1+dfsg-2) unstable; urgency=medium

  [ Rolf Leggewie ]
  * debian/rules:
    - Use debian/clean and drop override_dh_clean target
  * debian/control:
    - Optionally depend on qtdeclarative5-qtquick2-plugin for Ubuntu trusty

 -- Peter Colberg <peter@colberg.org>  Sun, 06 Nov 2016 13:23:08 -0500

twinkle (1:1.10.1+dfsg-1) unstable; urgency=medium

  [ Rolf Leggewie ]
  * Add myself to Uploaders (Closes: #814396)
  * Imported Upstream version 1.10.1+dfsg
  * Drop obsolete compile-time dependency on libcommoncpp2-dev
  * Add my copyright for Debian packaging information

  [ Peter Colberg ]
  * Explicitly build depend on libucommon-dev
  * Bump debhelper compat level to 10
  * Fix spelling mistakes found by lintian

 -- Peter Colberg <peter@colberg.org>  Fri, 28 Oct 2016 23:51:47 -0400

twinkle (1:1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Sat, 16 Jul 2016 00:00:18 -0400

twinkle (1:1.9.0+git20160520.0.be8b8df+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Rewrite Description in a succinct style
  * Move twinkle-console to separate package
  * Install upstream man page
  * Add debian/gbp.conf for pristine-tar

 -- Peter Colberg <peter@colberg.org>  Sun, 26 Jun 2016 19:13:17 -0400

twinkle (1:1.9.0+git20160321.0.64a0816+dfsg-2) unstable; urgency=high

  * Depend on qml-module-qtquick2 (Closes: #824946).

 -- Peter Colberg <peter@colberg.org>  Sat, 21 May 2016 13:31:48 -0400

twinkle (1:1.9.0+git20160321.0.64a0816+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #821234).
  * Drop patches applied upstream.
  * Drop build dependency on qtquick1-5-dev (Closes: #810708).
  * Enable hardening build flags.
  * Bump Standards-Version to 3.9.8.

 -- Peter Colberg <peter@colberg.org>  Fri, 13 May 2016 07:14:44 -0400

twinkle (1:1.9.0+dfsg-3) unstable; urgency=medium

  * Explicitly disable ALSA support on non-Linux architectures.
  * Set Maintainer field to Debian VoIP Team.
  * Add myself to Uploaders field.
  * Update Vcs-Git and Vcs-Browser fields.
  * Fix conflicting definition of socklen_t on GNU Hurd.

 -- Peter Colberg <peter@colberg.org>  Wed, 06 Jan 2016 08:15:17 -0500

twinkle (1:1.9.0+dfsg-2) unstable; urgency=medium

  * Disable ZRTP support to allow migration to testing.
    - libzrtpcpp links against OpenSSL in violation of the GPL (see: #797554).
  * Enable ALSA support on Linux only.
  * Fix detection of <linux/errqueue.h>.
  * Add Vcs-Git and Vcs-Browser fields.
  * Fix spelling mistakes detected by lintian.
  * Link with -Wl,--as-needed to avoid useless library dependencies.
  * Cherry-pick UI fixes from upstream git.

 -- Peter Colberg <peter@colberg.org>  Wed, 30 Dec 2015 23:38:41 -0500

twinkle (1:1.9.0+dfsg-1) unstable; urgency=medium

  [ Peter Colberg ]
  * New upstream release.
  * Repack orig tarball without embedded gsm library.
  * Update Homepage to new upstream URL.
  * Add Build-Depends:
    - bison
    - cmake
    - flex
    - linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
    - qtdeclarative5-dev
    - qtquick1-5-dev
    - qtscript5-dev
    - qttools5-dev
    - qttools5-dev-tools
  * Drop Build-Depends:
    - autotools-dev
    - cdbs
    - dh-autoreconf
    - libboost-regex-dev
    - libncurses-dev
    - libxpm-dev
  * Update patches:
    - desktop-entry-contains-encoding-key.patch
    - libgsm.patch
  * Drop patches:
    - boost_regex-mt.patch
    - localetime_r_conflict.diff
    - newer-automake.diff
    - newer-libccrtp.diff
    - no-qt.diff
    - vsnprintf_incompatibility.diff
  * Add machine-readable copyright file.
  * Update watch file to track github releases.
  * Update debhelper compat level to 9.
  * Migrate from cdbs to dh.
  * Support parallel build.
  * Remove deprecated menu file.
  * Bump Standards-Version to 3.9.6.

  [ Clint Adams ]
  * Remove myself from Maintainer field.

 -- Clint Adams <clint@debian.org>  Tue, 29 Dec 2015 12:59:30 -0500

twinkle (1:1.4.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to drop had-dependancy on obsolete
    automake. (Closes: #754046)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 31 Aug 2015 19:43:33 +0100

twinkle (1:1.4.2-4) unstable; urgency=medium

  * Tweak for automake 1.14.  closes: #733611.
  * Bump to Standards-Version 3.9.5.

 -- Clint Adams <clint@debian.org>  Sun, 26 Jan 2014 18:37:34 -0500

twinkle (1:1.4.2-3) unstable; urgency=low

  * Reintroduce to Debian.
  * Patch to build CLI client instead of Qt3 GUI.

 -- Clint Adams <clint@debian.org>  Thu, 25 Jul 2013 12:55:03 -0400

twinkle (1:1.4.2-2) unstable; urgency=low

  * Drop depreciated KDE3 support: configure --without-kde
    - Assist with Debian KDE4 transition
    - Fix "Add a light version compiled without kde" (Closes: #367258)
  * Fix "FTBFS: seems to fail when building with libzrtpcpp-dev 1.3.0-1"
    Updated Build-Depends: (Closes: #519347)
  * DEB_AUTO_UPDATE_AUTOCONF regenerate configure (pickup boost_regex-mt.patch)
  * Relax Build-Depends: ccrtp >= 1.7.0
  * debian/compat -> 7
  * Update Standards 3.8.1 - no changes

 -- Mark Purcell <msp@debian.org>  Sat, 16 May 2009 11:33:53 +1000

twinkle (1:1.4.2-1) unstable; urgency=low

  * New upstream release
    - libcommoncpp2 transition

 -- Mark Purcell <msp@debian.org>  Thu, 26 Feb 2009 18:35:47 +1100

twinkle (1:1.4-2) experimental; urgency=low

  * Fix "twinkle_1:1.4-1(sparc/experimental): FTBFS: error:
    readline/readline.h: No such file or directory" 
    - Add Build-Depends: libreadline-dev & libspeexdsp-dev (Closes: #513135)
  * Update Description: to match upstream

 -- Mark Purcell <msp@debian.org>  Tue, 27 Jan 2009 17:30:42 +1100

twinkle (1:1.4-1) experimental; urgency=low

  * New upstream release
  * Add Build-Depends: ccrtp >= 1.7.0

 -- Mark Purcell <msp@debian.org>  Mon, 26 Jan 2009 21:47:00 +1100

twinkle (1:1.3.2-1) experimental; urgency=low

  * New upstream release
  * Add Build-Depends: libmagic-dev
  * Patches included upstream; gcc4.3.patch z99-configure-boost.patch
  * Distribution experimental while we await lenny

 -- Mark Purcell <msp@debian.org>  Fri, 17 Oct 2008 12:19:21 +1100

twinkle (1:1.2-3) unstable; urgency=low

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.8.0.
  * Converted menu images to xpm and use them at twinkle.menu.
    Thanks lintian.

  [ Mark Purcell ]
  * Update debian.install: twinkle.desktop & sip.protocol
  * Update twinkle.desktop fixes
    - linitan:desktop-entry-contains-encoding-key
  * Add bug/presubj directing users to upstream user group
  * Add debian/twinkle.manpages
  * Update debian/menu - menu-icon-too-big. Icons in the Debian menu
    system should be at most 32x32

 -- Mark Purcell <msp@debian.org>  Sat, 11 Oct 2008 10:05:06 +1100

twinkle (1:1.2-2) unstable; urgency=low

  * Provide gcc4.3.patch to fix build issues
    - FTBFS: twinkle_zrtp_ui.h:47: error: 'MessageSeverity' has not been
    declared (Closes: #479874)
  * Fixup menu entry. Thks Rodrigo Campos
    - switch to new debian menu policy (Closes: #475424)
  * Update debian/twinkle.1 manpage for 1.2 version

 -- Mark Purcell <msp@debian.org>  Sat, 31 May 2008 12:38:57 +1000

twinkle (1:1.2-1) unstable; urgency=low

  [ Kilian Krause ]
  * Fix menu entry Apps -> Applications
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Mikael Magnusson ]
  * New upstream release (Closes: #465187)
  * Add myself to Uploaders.
  * Update debian/control package Description.
  * Update patches/libgsm.patch. (Partly merged by upstream.)
  * Rename patches/configure-boost.patch to
    patches/z99-configure-boost.patch (fixes patch order), and update.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sat, 15 Mar 2008 18:43:10 +0100

twinkle (1:1.1-2) unstable; urgency=low

  * Remove obsolete Build-Depends: kdelibs-bin
  * Rebuild for libboost transition

 -- Mark Purcell <msp@debian.org>  Thu, 16 Aug 2007 18:12:05 +0100

twinkle (1:1.1-1) unstable; urgency=low

  * New upstream release
  * Rework debian/patches/libgsm.patch
  * Rework debian/patches/configure-boost.patch  to correctly detect
    -lboost_regex-mt...

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jul 2007 22:50:26 +0100

twinkle (1:1.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches deleted as included upstream:
    - audiocheck.patch
    - conf.patch
    - incoming.patch
  * Rebuild with Depends: libzrtpcpp-0.9-0 (>= 0.9-4)
    - Crashes when making/receiving a call (Closes: #420138)

 -- Mark Purcell <msp@debian.org>  Sun, 20 May 2007 16:55:03 +0100

twinkle (1:1.0-3) unstable; urgency=low

  * Rebuild for libccrtp-dev > 1.5.1 [libccrtp soname]
    - twinkle depends on libccrtp1-1.5-0 which is not in sid (Closes:
    #418843)

 -- Mark Purcell <msp@debian.org>  Thu, 12 Apr 2007 21:43:17 +0100

twinkle (1:1.0-2) unstable; urgency=low

  * Add upstream patches; audiocheck, conf & incoming

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 13:14:15 +0000

twinkle (1:1.0-1) unstable; urgency=low

  * New upstream release
    - binNMU required (Closes: #402509)
    - Via headers containing ipv6 addresses are dropped (Closes: #398849)
  * Update debian/rules URL location
  * Delete debian/patches/extra-qualifications.patch included upstream
  * Update debian/control package Description
  * Update debian/twinkle.1 manpage for 1.0 release
  * lintian cleanup: extended-description-line-too-long

 -- Mark Purcell <msp@debian.org>  Thu, 25 Jan 2007 22:32:22 +0000

twinkle (1:1.0~beta-1) unstable; urgency=low

  * New upstream release
  * Needed for the preceeding package to get into etch
  * delete debian/patches dtmf, invite4xx and memman included upstream
  * debian/rules get-orig-source targets rewritten
  * Cleanup debian/watch
  * Add extra-qualifications.patch to fix upstream g 4.1.1 build errors

 -- Mark Purcell <msp@debian.org>  Mon,  8 Jan 2007 21:29:49 +0000

twinkle (1:0.9-6) testing-proposed-updates; urgency=medium

  * Apply upstream memman.patch to fix random twinkle crashes
    - crash on call end (Closes: #402509)
  * Loaded direct to t-p-u as discussed on debian-release

 -- Mark Purcell <msp@debian.org>  Sun,  7 Jan 2007 06:27:36 +0000

twinkle (1:0.9-5) unstable; urgency=low

  * Pre-run autoheader to include expected src/twinkle_config.h.in changes
    inside debian/patches/libgsm.patch
    - Closes: #394153: FTBFS: undefined reference to gsm_decode

 -- Mark Purcell <msp@debian.org>  Sat, 25 Nov 2006 08:57:34 +0000

twinkle (1:0.9-4) unstable; urgency=low

  * Grab upstream patches: DTMF & Invite4xx
  * VoIP Provider issue: Can't talk for more than a minute (Closes: #365588)
  * help2man generated manpage
  * Linitan cleanup: manpage-has-useless-whatis-entry

 -- Mark Purcell <msp@debian.org>  Sat,  4 Nov 2006 13:17:50 +0000

twinkle (1:0.9-3) unstable; urgency=low

  * Rebuild

 -- Mark Purcell <msp@debian.org>  Wed,  1 Nov 2006 21:38:21 +0000

twinkle (1:0.9-2) unstable; urgency=low

  * Build-Depends: libzrtpcpp-dev

 -- Mark Purcell <msp@debian.org>  Mon, 16 Oct 2006 19:22:13 +0100

twinkle (1:0.9-1) unstable; urgency=low

  * New upstream release
  * Update Build-Depends
  * PRACK messages should be authenticated (Closes: #389252)

 -- Mark Purcell <msp@debian.org>  Mon,  2 Oct 2006 09:50:03 +0800

twinkle (1:0.8.1-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release. Ships without iLBC, therefore no need to repackage.

  [ Mark Purcell ]
  * Cleanup debian/patches/libgsm.patch
  * Use upstream supplied sip.protocol & twinkle.desktop

 -- Mark Purcell <msp@debian.org>  Thu, 20 Jul 2006 19:33:00 +0100

twinkle (0.8.dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove non-free iLBC code from DFSG release

 -- Mark Purcell <msp@debian.org>  Sun,  2 Jul 2006 21:37:09 +0100

twinkle (0.7.1-2) unstable; urgency=low

  * Enable sip URIs: debian/sip.protocol
    - Twinkle won't manage sip URI from Konqueror (Closes: #366975)

 -- Mark Purcell <msp@debian.org>  Fri, 12 May 2006 21:20:39 +0100

twinkle (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun,  7 May 2006 23:00:03 +0100

twinkle (0.7-1) unstable; urgency=low

  * New upstream release
  * Update debian/control. Fixes FTBFS on kfreebsd-amd64: unsatisfied
     Build-Depends (Closes: #361483)
  * Rebuild with updated libccrtp & libcommoncpp2
    - Fixes: libccext2-1.3.so.1: cannot open shared object file (Closes: #362440)
  * Installed debian/twinkle.desktop. Fixes: please install a .desktop
  file (Closes: #358398)
  * Add Build-Depends: libspeex-dev
  * Modify debian/patches/libgsm.diff

 -- Mark Purcell <msp@debian.org>  Mon,  1 May 2006 12:21:03 +0100

twinkle (0.6.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/gui.cpp.diff removed as applied upstream

 -- Mark Purcell <msp@debian.org>  Sun, 26 Feb 2006 17:46:56 +0000

twinkle (0.6.1-2) unstable; urgency=low

  * Add debian/patches/libgsm.diff to use Build-Depends: libgsm1-dev
  * Add debian/patches/gui.cpp.diff (Closes: Bug#352534)

 -- Mark Purcell <msp@debian.org>  Tue, 21 Feb 2006 18:31:51 +0000

twinkle (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 12 Feb 2006 08:06:44 +0000

twinkle (0.6-1) UNRELEASED; urgency=low

  * (NOT RELEASED YET) New upstream release
  * Add Build-Depends: libxpm-dev, libsndfile1-dev

 -- Mark Purcell <msp@debian.org>  Fri, 10 Feb 2006 10:32:07 +1100

twinkle (0.5-1) unstable; urgency=low

  * New upstream release
  * Don't ship upstream NEWS as it is a duplicate of upstream ChangeLog
  * Remove usr/sbin from debian/dirs

 -- Mark Purcell <msp@debian.org>  Tue, 17 Jan 2006 16:53:16 +0000

twinkle (0.4.2-1) unstable; urgency=low

  * New upstream release
    - Lines hang with "dialing" status (Closes: #340779)
    - does not play ringtone (Closes: #340233)

 -- Mark Purcell <msp@debian.org>  Tue, 29 Nov 2005 20:47:21 +0000

twinkle (0.4.1-3) unstable; urgency=low

  * Rebuild against kdelibs 3.4.2 for unstable
    - twinkle is not installable on sid (Closes: #340534)
  * Suggests: kaddressbook

 -- Mark Purcell <msp@debian.org>  Thu, 24 Nov 2005 07:34:45 +0000

twinkle (0.4.1-2) unstable; urgency=low

  * Rebuild against kdelibs 3.4.2

 -- Mark Purcell <msp@debian.org>  Tue, 22 Nov 2005 20:16:05 +0000

twinkle (0.4.1-1) unstable; urgency=low

  * New upstream release
    - FTBFS on 64 bit arches: cast from 'void*' to 'int' loses precision
    (Closes: #324395)
    - ftbfs [sparc] stun.cxx:680: error: 'gethrtime' was not declared in
    this scope (Closes: #336746)
  * Fix Build-Depends: FTBFS on GNU/kFreeBSD (Closes: #336859)
  * Copyright audit to debian/copyright
  * Use correct QTDIR=/usr/share/qt3, negates need for
    DEB_AUTO_UPDATE_AUTOCONF
  * Remove patch against configure.in

 -- Mark Purcell <msp@debian.org>  Sun, 20 Nov 2005 23:05:07 +0000

twinkle (0.3.2-4) unstable; urgency=low

  * Add Build-Depends: kdelibs4-dev kdelibs-bin, libasounds2-dev, libxml2-dev
    - fix ppc build (Closes: #325057)
  * Remove ppc-build patch, obsolete by upstream v 0.3

 -- Mark Purcell <msp@debian.org>  Sun, 30 Oct 2005 07:56:45 +0000

twinkle (0.3.2-3) unstable; urgency=low

  * Use DEB_AUTO_UPDATE_AUTOCONF to rebuild configure from patched
    configure.in. Ugly..

 -- Mark Purcell <msp@debian.org>  Sat, 29 Oct 2005 22:54:12 +0100

twinkle (0.3.2-2) unstable; urgency=low

  * Add Build-Depends: cdbs

 -- Mark Purcell <msp@debian.org>  Sat, 29 Oct 2005 17:45:43 +0100

twinkle (0.3.2-1) unstable; urgency=low

  * New upstream release
    - New upstream version available (Closes: #334615)
  * FTBFS on 64 bit arches: cast from 'void*' to 'int' loses precision
    (Closes: #324395)
  * Patch from Guido Guenther
    - fix ppc build (Closes: #325057)
  * Patch from Mikael Magnusson
    - Thread creation timing bug causes crashes (Closes: #329433)
  * Fix: old-fsf-address-in-copyright-file

 -- Mark Purcell <msp@debian.org>  Sat, 29 Oct 2005 16:46:40 +0100

twinkle (0.3-1) unstable; urgency=low

  [ Kilian Krause ]
  * Debian VoIP upload

  [ Mark Purcell ]
  * New upstream release
  * Switch to cdbs!

 -- Mark Purcell <msp@debian.org>  Thu, 13 Oct 2005 18:12:02 +0100

twinkle (0.2.1-2) unstable; urgency=low

  * Build-Depends: libxml2-dev

 -- Mark Purcell <msp@debian.org>  Sun, 21 Aug 2005 15:55:13 +0100

twinkle (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Build-Depends:  libccrtp-dev (>=1.3.4)
  * Add Build-Depends: qt3-apps-dev
  * Add Build-Depends: automake1.9
  * Export QTDIR for build target as well :-(
  * Update extended description

 -- Mark Purcell <msp@debian.org>  Sun, 21 Aug 2005 14:05:30 +0100

twinkle (0.1-2) unstable; urgency=low

  * C++ migration
  * Build-Depends:  libqt3-mt-dev (>= 3:3.3.4-4)

 -- Mark Purcell <msp@debian.org>  Thu, 18 Aug 2005 21:02:31 +0100

twinkle (0.1-1) experimental; urgency=low

  * Upload to experimental while c++ transition
  * Initial release Closes: #311150

 -- Mark Purcell <msp@debian.org>  Thu, 11 Aug 2005 22:16:20 +0100

